Package org.kie.api.pmml

## Class ParameterInfo<T>

- java.lang.Object
- - org.kie.api.pmml.ParameterInfo<T>

-     public class ParameterInfo<T>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterInfo()` |
    `ParameterInfo​(java.lang.String correlationId, java.lang.String name, java.lang.Class<T> type, T value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCapitalizedName()` |
    `java.lang.String` | `getCorrelationId()` |
    `java.lang.String` | `getName()` |
    `java.lang.Class<T>` | `getType()` |
    `T` | `getValue()` |
    `int` | `hashCode()` |
    `void` | `setCorrelationId​(java.lang.String correlationId)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setType​(java.lang.Class<T> type)` |
    `void` | `setValue​(T value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterInfo

          public ParameterInfo()

    - #### ParameterInfo

          public ParameterInfo​(java.lang.String correlationId,
                               java.lang.String name,
                               java.lang.Class<T> type,
                               T value)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getCapitalizedName

          public java.lang.String getCapitalizedName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getType

          public java.lang.Class<T> getType()

    - #### setType

          public void setType​(java.lang.Class<T> type)

    - #### getValue

          public T getValue()

    - #### setValue

          public void setValue​(T value)

    - #### getCorrelationId

          public java.lang.String getCorrelationId()

    - #### setCorrelationId

          public void setCorrelationId​(java.lang.String correlationId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`